{
  description = "NAS on NixOS – root on ZFS";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs/release-25.05";

  outputs = { self, nixpkgs }:
  let
    system = "x86_64-linux";
    pkgs   = import nixpkgs { inherit system; };
  in {
    nixosConfigurations.host = pkgs.lib.nixosSystem {
      inherit system;
      modules = [
        ./hardware
        ./configuration
      ];
    };
  };
}
